Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.gpuflux.jocl
Class JOCLProgram

    java.lang.Object
      de.grogra.gpuflux.jocl.JOCLProgram

    public class JOCLProgram

extends java.lang.Object

Constructor Summary
`JOCLProgram(org.jocl.cl_program program, java.lang.String name, java.lang.String buildLog)`

Method Summary
`JOCLKernel` | `createKernel(java.lang.String kernelname)`
`void` | `finalize()`
`byte[][]` | `getBinarieDatas()`
`java.lang.String[]` | `getBinaries()`
`java.lang.String` | `getBuildLog()`
`org.jocl.cl_device_id[]` | `getDevices()`
`java.lang.String` | `getIdenifier()`
`static java.lang.String` | `getIdenifier(java.lang.String name)`
`java.lang.String` | `getName()`
`org.jocl.cl_program` | `getProgram()`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JOCLProgram

    public JOCLProgram(org.jocl.cl_program program,
                       java.lang.String name,
                       java.lang.String buildLog)

Method Detail

### createKernel

    public JOCLKernel createKernel(java.lang.String kernelname)

### finalize

    public void finalize()
                  throws java.lang.Throwable

  Overrides:
    `finalize` in class `java.lang.Object`
  Throws:
    `java.lang.Throwable`

### getBinarieDatas

    public byte[][] getBinarieDatas()

### getBinaries

    public java.lang.String[] getBinaries()

### getBuildLog

    public java.lang.String getBuildLog()

### getDevices

    public org.jocl.cl_device_id[] getDevices()

### getIdenifier

    public java.lang.String getIdenifier()

### getIdenifier

    public static java.lang.String getIdenifier(java.lang.String name)

### getName

    public java.lang.String getName()

### getProgram

    public org.jocl.cl_program getProgram()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD